from telnetlib import EC
from time import sleep

from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.support.wait import WebDriverWait

peptide_string = '''LVVVGAGSVGKSALT
LVVVGAGVVGKSALT
KLVVVGAGSVGKSAL
YKLVVVGAGSVGKSA
KLVVVGAGVVGKSAL
YKLVVVGAGVVGKSA
KLVVVGAGRVGKSAL
LVVVGAGRVGKSALT
VVVGAGVVGKSALTI
YKLVVVGAGRVGKSA
VVVGAGSVGKSALTI
VVVGAGRVGKSALTI
LVVVGAVGVGKSALT
TEYKLVVVGASRVGK
RVGKSALTIQLIQNH
MTEYKLVVVGASRVG
EYKLVVVGASRVGKS
VVGAGSVGKSALTIQ
VVGAGVVGKSALTIQ
KLVVVGAVGVGKSAL
SVGKSALTIQLIQNH
CVGKSALTIQLIQNH
DVGKSALTIQLIQNH
VVGKSALTIQLIQNH
EYKLVVVGASSVGKS
GAVRVGKSALTIQLI
TEYKLVVVGASSVGK
YKLVVVGAVGVGKSA
AVRVGKSALTIQLIQ
KLVVVGAGCVGKSAL
LVVVGAGCVGKSALT
TEYKLVVVGAVRVGK
YKLVVVGAGCVGKSA
EYKLVVVGASGVGKS
TEYKLVVVGASGVGK
EYKLVVVGAGSVGKS
EYKLVVVGAVRVGKS
MTEYKLVVVGASSVG
VVVGAVGVGKSALTI
EYKLVVVGAVGVGKS
MTEYKLVVVGAVRVG
VVGAGRVGKSALTIQ
VVVGAGCVGKSALTI
LVVVGAGDVGKSALT
MTEYKLVVVGASGVG
TEYKLVVVGASVVGK
VVVGAVSVGKSALTI
EYKLVVVGAGRVGKS
EYKLVVVGASVVGKS
LVVVGAVSVGKSALT
VGAGSVGKSALTIQL
VGAGVVGKSALTIQL
VGAVRVGKSALTIQL
YKLVVVGAGDVGKSA
EYKLVVVGAGVVGKS
KLVVVGAGDVGKSAL
LLDILDTAGLEEYSA
LVVVGASVVGKSALT
MTEYKLVVVGASVVG
MTEYKLVVVGAVVVG
TEYKLVVVGAVVVGK
VVGAVSVGKSALTIQ
VVVGASVVGKSALTI
YKLVVVGASVVGKSA
CLLDILDTAGLEEYS
TCLLDILDTAGLEEY
VVGAVGVGKSALTIQ
YKLVVVGASRVGKSA
EYKLVVVGAVVVGKS
YKLVVVGAVVVGKSA
KLVVVGASGVGKSAL
LVVVGASGVGKSALT
YKLVVVGASGVGKSA
KLVVVGASRVGKSAL
LDILDTAGLEEYSAM
LVVVGASRVGKSALT
CRVGKSALTIQLIQN
CVVGKSALTIQLIQN
DRVGKSALTIQLIQN
DVVGKSALTIQLIQN
GRVGKSALTIQLIQN
GVVGKSALTIQLIQN
SRVGKSALTIQLIQN
SVVGKSALTIQLIQN
TEYKLVVVGAVGVGK
VRVGKSALTIQLIQN
VVVGACSVGKSALTI
VVVGAGDVGKSALTI
VVVGKSALTIQLIQN
CSVGKSALTIQLIQN
DSVGKSALTIQLIQN
GSVGKSALTIQLIQN
SSVGKSALTIQLIQN
VSVGKSALTIQLIQN
VVGASVVGKSALTIQ
VVVGASRVGKSALTI
CCVGKSALTIQLIQN
CDVGKSALTIQLIQN
CGVGKSALTIQLIQN
DCVGKSALTIQLIQN
DDVGKSALTIQLIQN
DGVGKSALTIQLIQN
GCVGKSALTIQLIQN
GDVGKSALTIQLIQN
SCVGKSALTIQLIQN
SDVGKSALTIQLIQN
SGVGKSALTIQLIQN
VCVGKSALTIQLIQN
VDVGKSALTIQLIQN
VGVGKSALTIQLIQN
VVVGAVRVGKSALTI
YKLVVVGASSVGKSA
TEYKLVVVGAGVVGK
VVVGASSVGKSALTI
EYKLVVVGAVSVGKS
LVVVGASSVGKSALT
TEYKLVVVGAVSVGK
VGAVSVGKSALTIQL
VVGAVRVGKSALTIQ
KLVVVGASVVGKSAL
LVVVGAVRVGKSALT
LVVVGAVVVGKSALT
TEYKLVVVGAGRVGK
VGAGRVGKSALTIQL
VVGAVVVGKSALTIQ
VVVGAVVVGKSALTI
VGAVGVGKSALTIQL
VVGASSVGKSALTIQ
KLVVVGADRVGKSAL
KLVVVGASSVGKSAL
KLVVVGAVSVGKSAL
TEYKLVVVGASDVGK
YKLVVVGAVSVGKSA
EYKLVVVGASDVGKS
LLDILDTTGLEEYSA
TEYKLVVVGASCVGK
VVGAGCVGKSALTIQ
EYKLVVVGASCVGKS
LVVVGADRVGKSALT
MTEYKLVVVGAGRVG
GAVSVGKSALTIQLI
MTEYKLVVVGASCVG
VGAVVVGKSALTIQL
VVVGASGVGKSALTI
YKLVVVGASCVGKSA
LDILDTTGLEEYSAM
VVVGACGVGKSALTI
YKLVVVGAVRVGKSA
ETCLLDILDTAGLEE
MTEYKLVVVGASDVG
VGASSVGKSALTIQL
ASRVGKSALTIQLIQ
EYKLVVVGADRVGKS
VVGACSVGKSALTIQ
VVVGADRVGKSALTI
YKLVVVGADRVGKSA
AGRVGKSALTIQLIQ
GAVVVGKSALTIQLI
LVVVGACSVGKSALT
MTEYKLVVVGAVSVG
KLVVVGADVVGKSAL
LVVVGADVVGKSALT
VGASVVGKSALTIQL
ACRVGKSALTIQLIQ
KLVVVGACGVGKSAL
LVVVGACGVGKSALT
YKLVVVGACGVGKSA
AGVVGKSALTIQLIQ
AVVVGKSALTIQLIQ
EYKLVVVGAVCVGKS
KLVVVGAVRVGKSAL
MTEYKLVVVGAVCVG
TEYKLVVVGAVCVGK
YKLVVVGAVCVGKSA
ADRVGKSALTIQLIQ
ASVVGKSALTIQLIQ
MTEYKLVVVGAVGVG
AVGVGKSALTIQLIQ
GAGSVGKSALTIQLI
LVVVGACVVGKSALT
VVVGAVCVGKSALTI
GAVGVGKSALTIQLI
TEYKLVVVGACRVGK
VGAGCVGKSALTIQL
VVVGACVVGKSALTI
ACVVGKSALTIQLIQ
ASGVGKSALTIQLIQ
DILDTAGLEEYSAMR
EYKLVVVGAGCVGKS
EYKLVVVGAGDVGKS
LVVVGACRVGKSALT
LVVVGADSVGKSALT
TCLLDILDTTGLEEY
VVGASRVGKSALTIQ
VVVGACRVGKSALTI
VVVGADSVGKSALTI
VVVGADVVGKSALTI
ADVVGKSALTIQLIQ
CLLDILDTTGLEEYS
VVGAGDVGKSALTIQ
VVVGAVDVGKSALTI
ACGVGKSALTIQLIQ
AGSVGKSALTIQLIQ
AVSVGKSALTIQLIQ
VVGACGVGKSALTIQ
VVGACRVGKSALTIQ
GACRVGKSALTIQLI
GAGVVGKSALTIQLI
GASRVGKSALTIQLI
MTEYKLVVVGADRVG
TCLLDILDTTGQEEY
TEYKLVVVGADRVGK
VVGAVCVGKSALTIQ
ADGVGKSALTIQLIQ
ASSVGKSALTIQLIQ
VGACSVGKSALTIQL
VVGASGVGKSALTIQ
DILDTTGLEEYSAMR
EYKLVVVGACRVGKS
MTEYKLVVVGADDVG
YKLVVVGASDVGKSA
ACSVGKSALTIQLIQ
DGETCLLDILDTAGL
GASSVGKSALTIQLI
KLVVVGACSVGKSAL
MTEYKLVVVGACRVG
YKLVVVGACSVGKSA
YKLVVVGADVVGKSA
ADDVGKSALTIQLIQ
AGCVGKSALTIQLIQ
AVDVGKSALTIQLIQ
EYKLVVVGACGVGKS
GETCLLDILDTAGLE
LVVVGAVDVGKSALT
ACCVGKSALTIQLIQ
ACDVGKSALTIQLIQ
ADSVGKSALTIQLIQ
AGDVGKSALTIQLIQ
ASCVGKSALTIQLIQ
ASDVGKSALTIQLIQ
AVCVGKSALTIQLIQ
VVGADSVGKSALTIQ
ADCVGKSALTIQLIQ
GASVVGKSALTIQLI
VVGACVVGKSALTIQ
CLLDILDTTGQEEYS
KLVVVGAVVVGKSAL
MTEYKLVVVGAVDVG
TEYKLVVVGADDVGK
VGASRVGKSALTIQL
VVVGASCVGKSALTI
YKLVVVGACVVGKSA
TEYKLVVVGAGSVGK
ETCLLDILDTTGLEE
ETCLLDILDTAGHEE
MTEYKLVVVGAGSVG
TEYKLVVVGAVDVGK
VVGADVVGKSALTIQ
KLVVVGACVVGKSAL
KLVVVGASCVGKSAL
LVVVGASCVGKSALT
LVVVGAVCVGKSALT
TEYKLVVVGADVVGK
ETCLLDILDTTGQEE
GETCLLDILDTAGLG
LLDILDTTGQEEYSA
MTEYKLVVVGAGVVG
MTEYKLVVVGADSVG
VVGAVDVGKSALTIQ
ILDTAGLEEYSAMRD
TEYKLVVVGADSVGK
VGACGVGKSALTIQL
MTEYKLVVVGADVVG
VGASGVGKSALTIQL
GAGRVGKSALTIQLI
ETCLLDILDTAGLGE
VGAVCVGKSALTIQL
EYKLVVVGAVDVGKS
KLVVVGADSVGKSAL
VGAGDVGKSALTIQL
DGETCLLDILDTAGH
EYKLVVVGADVVGKS
GADVVGKSALTIQLI
KLVVVGADGVGKSAL
LVVVGADGVGKSALT
VGADSVGKSALTIQL
VVGASCVGKSALTIQ
GACSVGKSALTIQLI
EYKLVVVGADSVGKS
GETCLLDILDTAGHE
KLVVVGACRVGKSAL
LVVVGASDVGKSALT
YKLVVVGACRVGKSA
TCLLDILDTAGHEEY
YKLVVVGAVDVGKSA
EYKLVVVGACSVGKS
EYKLVVVGACVVGKS
EYKLVVVGADGVGKS
TEYKLVVVGACVVGK
TEYKLVVVGAGCVGK
TEYKLVVVGAGDVGK
VGACRVGKSALTIQL
VGADVVGKSALTIQL
VVVGACCVGKSALTI
MTEYKLVVVGADCVG
GACVVGKSALTIQLI
KLVVVGASDVGKSAL
TEYKLVVVGACSVGK
KLVVVGAVCVGKSAL
LDILDTTGQEEYSAM
GACGVGKSALTIQLI
GADSVGKSALTIQLI
GASGVGKSALTIQLI
VGACVVGKSALTIQL
YKLVVVGADGVGKSA
YKLVVVGADSVGKSA
MTEYKLVVVGAGDVG
TAGLEEYSAMRDQYM
DGETCLLDILDTAGR
VVGADRVGKSALTIQ
DGETCLLDILDTTGL
TTGLEEYSAMRDQYM
MTEYKLVVVGAGCVG
VGAVDVGKSALTIQL
ETCLLDILDTAGQGE
GETCLLDILDTAGHG
GETCLLDILDTAGRE
TEYKLVVVGADCVGK
VGASCVGKSALTIQL
AGLEEYSAMRDQYMR
GETCLLDILDTTGLE
VVVGASDVGKSALTI
GETCLLDILDTAGQG
MTEYKLVVVGADGVG
TGLEEYSAMRDQYMR
VVVGADGVGKSALTI
GADRVGKSALTIQLI
GAVCVGKSALTIQLI
KLVVVGAVDVGKSAL
ETCLLDILDTAGHGE
VVGACCVGKSALTIQ
ETCLLDILDTAGREE
GAGCVGKSALTIQLI
TAGLGEYSAMRDQYM
TEYKLVVVGADGVGK
TTGLGEYSAMRDQYM
AGLGEYSAMRDQYMR
ETCLLDILDTTGQGE
EYKLVVVGADDVGKS
GETCLLDILDTAGRG
GETCLLDILDTTGLG
LVVVGADDVGKSALT
MTEYKLVVVGACSVG
MTEYKLVVVGACVVG
TAGREEYSAMRDQYM
TCLLDILDTAGLGEY
TEYKLVVVGACGVGK
TGLGEYSAMRDQYMR
VGADRVGKSALTIQL
AGHEEYSAMRDQYMR
AGHGEYSAMRDQYMR
AGQGEYSAMRDQYMR
AGREEYSAMRDQYMR
AGRGEYSAMRDQYMR
DGETCLLDILDTTGH
DGETCLLDILDTTGQ
ETCLLDILDTAGRGE
GASCVGKSALTIQLI
GAVDVGKSALTIQLI
GLEEYSAMRDQYMRT
GLGEYSAMRDQYMRT
GREEYSAMRDQYMRT
GRGEYSAMRDQYMRT
ILDTTGLEEYSAMRD
KLVVVGADDVGKSAL
LEEYSAMRDQYMRTG
LGEYSAMRDQYMRTG
LVVVGACCVGKSALT
LVVVGACDVGKSALT
REEYSAMRDQYMRTG
RGEYSAMRDQYMRTG
TAGHEEYSAMRDQYM
TAGQGEYSAMRDQYM
TAGRGEYSAMRDQYM
TGHEEYSAMRDQYMR
TGHGEYSAMRDQYMR
TGQEEYSAMRDQYMR
TGQGEYSAMRDQYMR
TGREEYSAMRDQYMR
TGRGEYSAMRDQYMR
TTGHEEYSAMRDQYM
TTGQEEYSAMRDQYM
TTGREEYSAMRDQYM
TTGRGEYSAMRDQYM
VGACCVGKSALTIQL
VVVGACDVGKSALTI
VVVGADDVGKSALTI
YKLVVVGADDVGKSA
CLLDILDTAGHEEYS
CLLDILDTAGREEYS
DILDTTGQEEYSAMR
GADGVGKSALTIQLI
GETCLLDILDTTGHE
GETCLLDILDTTGQE
GEYSAMRDQYMRTGE
GHEEYSAMRDQYMRT
GHGEYSAMRDQYMRT
GQGEYSAMRDQYMRT
HEEYSAMRDQYMRTG
HGEYSAMRDQYMRTG
IDGETCLLDILDTTG
KLVVVGACDVGKSAL
LDTAGLEEYSAMRDQ
LLDILDTAGREEYSA
QGEYSAMRDQYMRTG
TAGHGEYSAMRDQYM
TCLLDILDTAGREEY
TTGHGEYSAMRDQYM
TTGQGEYSAMRDQYM
VGADGVGKSALTIQL
VVGACDVGKSALTIQ
VVGADGVGKSALTIQ
YKLVVVGACDVGKSA
DGETCLLDILDTTGR
ETCLLDILDTTGHEE
GACCVGKSALTIQLI
KLVVVGACCVGKSAL
LVVVGADCVGKSALT
TCLLDILDTAGHGEY
TCLLDILDTAGQGEY
VGADCVGKSALTIQL
VVGADCVGKSALTIQ
VVVGADCVGKSALTI
YKLVVVGACCVGKSA
EYKLVVVGACDVGKS
GADCVGKSALTIQLI
GAGDVGKSALTIQLI
GETCLLDILDTTGHG
GETCLLDILDTTGQG
GETCLLDILDTTGRE
LLDILDTAGHEEYSA
MTEYKLVVVGACGVG
TCLLDILDTTGREEY
VGACDVGKSALTIQL
VVGASDVGKSALTIQ
CLLDILDTTGREEYS
DILDTAGREEYSAMR
EYKLVVVGACCVGKS
EYKLVVVGADCVGKS
GETCLLDILDTTGRG
KLVVVGADCVGKSAL
LDILDTAGREEYSAM
TCLLDILDTAGRGEY
TCLLDILDTTGQGEY
VIDGETCLLDILDTT
ETCLLDILDTTGREE
LDILDTAGHEEYSAM
TCLLDILDTTGHEEY
DTAGLEEYSAMRDQY
GACDVGKSALTIQLI
GADDVGKSALTIQLI
GASDVGKSALTIQLI
ILDTTGQEEYSAMRD
LDILDTAGLGEYSAM
LDTTGLEEYSAMRDQ
LLDILDTTGREEYSA
TEYKLVVVGACDVGK
VGASDVGKSALTIQL
YKLVVVGADCVGKSA
ETCLLDILDTTGHGE
ETCLLDILDTTGLGE
LLDILDTAGLGEYSA
MTEYKLVVVGACCVG
MTEYKLVVVGACDVG
TCLLDILDTTGHGEY
TCLLDILDTTGLGEY
CLLDILDTAGLGEYS
CLLDILDTTGQGEYS
DTTGLEEYSAMRDQY
TEYKLVVVGACCVGK
CLLDILDTAGHGEYS
DILDTAGHGEYSAMR
DILDTAGLGEYSAMR
DTTGQEEYSAMRDQY
ILDTAGHGEYSAMRD
LDILDTTGLGEYSAM
CLLDILDTAGQGEYS
CLLDILDTTGHEEYS
ETCLLDILDTTGRGE
ILDTAGLGEYSAMRD
LDTAGHGEYSAMRDQ
LLDILDTTGLGEYSA
DTAGHEEYSAMRDQY
DTTGHEEYSAMRDQY
TCLLDILDTTGRGEY
CLLDILDTTGHGEYS
DILDTAGHEEYSAMR
CLLDILDTAGRGEYS
CLLDILDTTGLGEYS
DILDTAGQGEYSAMR
DILDTAGRGEYSAMR
DTAGHGEYSAMRDQY
DTAGREEYSAMRDQY
ILDTAGRGEYSAMRD
LDILDTAGHGEYSAM
LDILDTAGQGEYSAM
LDILDTTGREEYSAM
LDTTGQEEYSAMRDQ
LLDILDTAGQGEYSA
DTAGLGEYSAMRDQY
DTAGQGEYSAMRDQY
DTTGREEYSAMRDQY
LDTAGLGEYSAMRDQ
CLLDILDTTGRGEYS
DTAGRGEYSAMRDQY
DTTGHGEYSAMRDQY
DTTGLGEYSAMRDQY
DTTGQGEYSAMRDQY
ILDTAGREEYSAMRD
LDILDTAGRGEYSAM
LDTAGRGEYSAMRDQ
LLDILDTTGHEEYSA
DTTGRGEYSAMRDQY
ILDTAGQGEYSAMRD
LDILDTTGHEEYSAM
DILDTTGHGEYSAMR
DILDTTGREEYSAMR
ILDTTGHGEYSAMRD
LDTAGREEYSAMRDQ
VGADDVGKSALTIQL
LDTAGQGEYSAMRDQ
LDTTGHEEYSAMRDQ
LDTTGHGEYSAMRDQ
LLDILDTAGRGEYSA
LLDILDTTGQGEYSA
LLDILDTTGRGEYSA
ILDTTGLGEYSAMRD
LLDILDTAGHGEYSA
VVGADDVGKSALTIQ
ILDTAGHEEYSAMRD
LDTTGREEYSAMRDQ
DILDTTGLGEYSAMR
ILDTTGREEYSAMRD
ILDTTGRGEYSAMRD
LDTAGHEEYSAMRDQ
LLDILDTTGHGEYSA
DILDTTGRGEYSAMR
ILDTTGQGEYSAMRD
LDTTGRGEYSAMRDQ
DILDTTGHEEYSAMR
DILDTTGQGEYSAMR
ILDTTGHEEYSAMRD
LDILDTTGHGEYSAM
LDTTGLGEYSAMRDQ
LDILDTTGQGEYSAM
LDILDTTGRGEYSAM
LDTTGQGEYSAMRDQ'''

peptide_list = peptide_string.splitlines();

result_list = []

for e in peptide_list:
    driver = webdriver.Chrome();
    driver.get('https://www.ddg-pharmfac.net/AllerTOP/')
    searchbox = driver.find_element_by_xpath('//*[@id="sequence"]')
    searchbox.send_keys(e)

    submit_button = driver.find_elements_by_xpath('/html/body/center/table/tbody/tr[3]/td/table/tbody/tr/td[2]/table/tbody/tr/td/form/table/tbody/tr[3]/td[1]/input')
    submit_button[0].click()

    sleep(0.5)

    result = driver.find_element_by_xpath('//*[@id="box"]/h4[2]').text[9:]
    result_list.append(result)

    driver.close()

print('Peptide,Result')

index = 0
for e in result_list:
    print(peptide_list[index] + ',' + result_list[index])
    index += 1
